mod Mtexln

rem 
  \para \bf  Lists.  \end 

rem 
  \para \bf  Basic operations.  \end 

appldisp/2 Tex_f2_ln_sub
  Prefix(70,2,Arg(0),Fenced(Op('[',0),Arg(1),Op(']',0)))

appldisp/2 Tex_p2_ln_in
  Infix(Arg(0),25,0,Id(0,Ent('epsiv'),0),Arg(1))

appldisp/2 Tex_f2_ln_conc
  Infix(Arg(0),35,1,Op(Ent('oplus'),0),Arg(1))

appldisp/2 Tex_f2_ln_conc_nassoc
  Infix(Arg(0),35,0,Op(Ent('oplus'),0),Arg(1))

appldisp/1 Tex_f1_ln_rev
  Std('Rev',0)

rem 
  \para \bf  Operations on lists.  \end 

appldisp/3 Tex_f3_ln_msub
  Prefix(70,2,Arg(0),
         Fenced(Op('[',0),Infix(Arg(1),25,3,Op(Ent('colone'),0),Arg(2)),Op(']',0)))

appldisp/1 Tex_f1_ln_map_f
  Prefix(90,2,Subsup(Id(0,'Map',0),99,Id(1,'f',0),None),Arg(0))

appldisp/2 Tex_f2_ln_interval_cc
  Fenced(Op('[',0),Infix(Arg(0),25,3,Id(0,'  .. ',0),Arg(1)),Op(']',0))

appldisp/2 Tex_f2_ln_interval_co
  Fenced(Op('[',0),Infix(Arg(0),25,3,Id(0,'  .. ',0),Arg(1)),Op(')',0))

appldisp/1 Tex_f1_ln_filter_a
  Prefix(90,2,Subsup(Id(0,'Filter',0),75,Id(1,'A',0),None),Arg(0))

appldisp/2 Tex_f2_ln_count
  Prefix(90,2,Subsup(Op('#',0),99,Arg(0),None),Arg(1))

appldisp/1 Tex_f1_ln_union
  Prefix(70,2,Op(Ent('xcup'),0),Arg(0))

rem 
  \para \bf  Combinatorial functions over lists.  \end 

appldisp/2 Tex_p2_ln_suffix
  Infix(Arg(0),25,0,Op(Ent('sqsup'),0),Arg(1))

appldisp/2 Tex_p2_ln_prefix
  Infix(Arg(0),25,0,Op(Ent('sqsub'),0),Arg(1))

appldisp/2 Tex_p2_ln_segment
  Infix(Arg(0),25,0,Op(Ent('sub'),0),Arg(1))

appldisp/2 Tex_p2_ln_subsq
  Infix(Arg(0),25,0,Op(Ent('ltrie'),0),Arg(1))

appldisp/2 Tex_p2_ln_perm
  Infix(Arg(0),25,0,Op(Ent('sim'),0),Arg(1))

appldisp/3 Tex_p3_ln_inserted
  Postfix(Infix(Arg(0),40,0,Op(Ent('ap'),0),Arg(1)),60,0,
          Fenced(Op('[',0),Prefix(70,2,Op(Ent('darr'),0),Arg(2)),Op(']',0)))

appldisp/2 Tex_p2_ln_concp
  Infix(Arg(0),25,0,Op(Ent('ltrif'),0),Arg(1))

rem 
  \para \bf  List comparision predicates.  \end 

appldisp/2 Tex_p2_ln_le
  Infix(Arg(0),25,0,Op(Ent('prcue'),0),Arg(1))

appldisp/2 Tex_p2_ln_lt
  Infix(Arg(0),25,0,Op(Ent('pr'),0),Arg(1))

appldisp/2 Tex_p2_ln_ge
  Infix(Arg(0),25,0,Op(Ent('sce'),0),Arg(1))

appldisp/2 Tex_p2_ln_gt
  Infix(Arg(0),25,0,Op(Ent('sc'),0),Arg(1))

